MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026765Open CASCADE[OCCT] OCCT:Visualizationpublic2015-10-09 14:262016-04-20 15:49
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026765: Visualization - drop TKVoxel toolkit
DescriptionTKVoxel has been introduced as experimental module for displaying data in form of voxels.

In current state the package uses obsolete OpenGL API, questionable design and data structures definitions. Having these issues and without evolution plan, it seems maintenance of this package as part of OCCT is not justified.

Thus it is considered to drop this package and consider usage alternative algorithms based on Volume Rendering.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026739closedbugmaster Open CASCADE Problem with generate Qt samples 
related to 0024051closedbugmaster Community Voxel_FastConverter::Convert / ConvertUsingSAT - problems in multithreaded scenario (2) 
related to 0024038closedbugmaster Community Extending Voxel_FastConverter to work with Voxel_ROctBoolDS 

-  Notes
(0046655)
git (administrator)
2015-10-10 22:19

Branch CR26765 has been created by kgv.

SHA-1: ff01f4ff2c666534c80f224ed6a980ab94d0382f


Detailed log of new commits:

Author: kgv
Date: Sat Oct 10 22:18:47 2015 +0300

    0026734: Visualization, D3DHost_View - drop outdated UserDraw interfaces

Author: kgv
Date: Sat Oct 10 22:17:37 2015 +0300

    0026765: Visualization - drop TKVoxel toolkit
(0046656)
kgv (developer)
2015-10-10 22:19

Patch is ready for review.
(0046657)
san (developer)
2015-10-10 22:38

Branch CR26765 reviewed without remarks, ready for testing.
(0046658)
git (administrator)
2015-10-10 22:45

Branch CR26765 has been updated by kgv.

SHA-1: a5a7b3473ce4de01b91c409ce13e6f335f3bc36c


Detailed log of new commits:

Author: kgv
Date: Sat Oct 10 22:45:14 2015 +0300

    0026768: Visualization, Graphic3d_Camera::ZFitAll() - define method estimating ZRange without assigning it
    
    Declare methods V3d_View::Redraw() and V3d_View::RedrawImmediate() as virtual to allow customization.

(0046659)
git (administrator)
2015-10-10 22:45

Branch CR26765 has been updated forcibly by kgv.

SHA-1: 3c522d770e441ceb6b407c328963441b5e1f92d6
(0046661)
git (administrator)
2015-10-10 22:46

Branch CR26765 has been updated forcibly by kgv.

SHA-1: ff01f4ff2c666534c80f224ed6a980ab94d0382f
(0046705)
mkv (tester)
2015-10-13 16:04
edited on: 2015-10-13 16:05

Dear BugMaster,
Branch CR26765 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ff01f4ff2c666534c80f224ed6a980ab94d0382f

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26765-master-occt-64/Debian70-64/boolean/volumemaker/C9.html [^]
boolean volumemaker C9: IMPROVEMENT

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92409577 / 92427332 [-0.02%]
Total CPU difference: 19550.109999999837 / 19399.48000000005 [+0.78%]
products component :
Total MEMORY difference: 26212504 / 26341594 [-0.49%]
Total CPU difference: 7360.959999999994 / 7327.720000000003 [+0.45%]

Testing on Windows:
occt component :
Total MEMORY difference: 58042676 / 58118207 [-0.13%]
Total CPU difference: 18562.309388398815 / 18356.52846929885 [+1.12%]
products component :
Total MEMORY difference: 17162334 / 17192277 [-0.17%]
Total CPU difference: 5621.215233199969 / 5634.4753181999695 [-0.24%]

There are no differences in images found by testdiff.

(0046706)
git (administrator)
2015-10-13 16:04

Branch CR26765 has been updated by mkv.

SHA-1: 6d54391cb82ed1c9384895ee5d446f4ae9dc3255


Detailed log of new commits:

Author: mkv
Date: Tue Oct 13 16:01:18 2015 +0300

    Correction of test case for issue CR26765

(0046707)
mkv (tester)
2015-10-13 16:04

Dear BugMaster,
following test case is corrected and pushed to branch CR26765 of occt git-repository
boolean volumemaker C9
(0046708)
mkv (tester)
2015-10-13 16:04

Dear BugMaster,
Branch CR26765 is TESTED.
(0046904)
git (administrator)
2015-10-16 16:17

Branch CR26765 has been deleted by kgv.

SHA-1: 6d54391cb82ed1c9384895ee5d446f4ae9dc3255

- Related Changesets
occt: master 6ce0df1e
Timestamp: 2015-10-10 19:17:37
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026765: Visualization - drop TKVoxel toolkit
mod - adm/MODULES Diff ] File ]
mod - adm/UDLIST Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
mod - dox/overview/overview.md Diff ] File ]
mod - dox/technical_overview/technical_overview.md Diff ] File ]
mod - dox/user_guides/user_guides.md Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image003.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image004.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image005.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image006.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image007.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image008.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image009.png Diff ] File ]
rm - dox/user_guides/voxels_wp/images/voxels_wp_image010.png Diff ] File ]
rm - dox/user_guides/voxels_wp/voxels_wp.md Diff ] File ]
rm - samples/qt/VoxelDemo/genproj.bat Diff ] File ]
rm - samples/qt/VoxelDemo/inc/Application.h Diff ] File ]
rm - samples/qt/VoxelDemo/inc/ConversionThread.h Diff ] File ]
rm - samples/qt/VoxelDemo/inc/Timer.h Diff ] File ]
rm - samples/qt/VoxelDemo/inc/Viewer.h Diff ] File ]
rm - samples/qt/VoxelDemo/inc/VoxelClient_VisDrawer.h Diff ] File ]
rm - samples/qt/VoxelDemo/msvc.bat Diff ] File ]
rm - samples/qt/VoxelDemo/run.bat Diff ] File ]
rm - samples/qt/VoxelDemo/src/Application.cpp Diff ] File ]
rm - samples/qt/VoxelDemo/src/ConversionThread.cpp Diff ] File ]
rm - samples/qt/VoxelDemo/src/Main.cpp Diff ] File ]
rm - samples/qt/VoxelDemo/src/Timer.cpp Diff ] File ]
rm - samples/qt/VoxelDemo/src/Viewer.cpp Diff ] File ]
rm - samples/qt/VoxelDemo/src/VoxelClient_VisDrawer.cxx Diff ] File ]
rm - samples/qt/VoxelDemo/VoxelDemo-vc10.sln Diff ] File ]
rm - samples/qt/VoxelDemo/VoxelDemo-vc12.sln Diff ] File ]
rm - samples/qt/VoxelDemo/VoxelDemo-vc9.sln Diff ] File ]
rm - samples/qt/VoxelDemo/VoxelDemo.pro Diff ] File ]
mod - src/OS/Visualization.tcl Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/TKQADraw/EXTERNLIB Diff ] File ]
mod - src/TKViewerTest/EXTERNLIB Diff ] File ]
rm - src/TKVoxel/CMakeLists.txt Diff ] File ]
rm - src/TKVoxel/EXTERNLIB Diff ] File ]
rm - src/TKVoxel/FILES Diff ] File ]
rm - src/TKVoxel/PACKAGES Diff ] File ]
mod - src/ViewerTest/FILES Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
rm - src/ViewerTest/ViewerTest_VoxelCommands.cxx Diff ] File ]
rm - src/Voxel/FILES Diff ] File ]
rm - src/Voxel/Voxel_BoolDS.cxx Diff ] File ]
rm - src/Voxel/Voxel_BoolDS.hxx Diff ] File ]
rm - src/Voxel/Voxel_BooleanOperation.cxx Diff ] File ]
rm - src/Voxel/Voxel_BooleanOperation.hxx Diff ] File ]
rm - src/Voxel/Voxel_CollisionDetection.cxx Diff ] File ]
rm - src/Voxel/Voxel_CollisionDetection.hxx Diff ] File ]
rm - src/Voxel/Voxel_ColorDS.cxx Diff ] File ]
rm - src/Voxel/Voxel_ColorDS.hxx Diff ] File ]
rm - src/Voxel/Voxel_DS.cxx Diff ] File ]
rm - src/Voxel/Voxel_DS.hxx Diff ] File ]
rm - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]
rm - src/Voxel/Voxel_FastConverter.hxx Diff ] File ]
rm - src/Voxel/Voxel_FloatDS.cxx Diff ] File ]
rm - src/Voxel/Voxel_FloatDS.hxx Diff ] File ]
rm - src/Voxel/Voxel_OctBoolDS.cxx Diff ] File ]
rm - src/Voxel/Voxel_OctBoolDS.hxx Diff ] File ]
rm - src/Voxel/Voxel_Prs.cxx Diff ] File ]
rm - src/Voxel/Voxel_Prs.hxx Diff ] File ]
rm - src/Voxel/Voxel_Reader.cxx Diff ] File ]
rm - src/Voxel/Voxel_Reader.hxx Diff ] File ]
rm - src/Voxel/Voxel_ROctBoolDS.cxx Diff ] File ]
rm - src/Voxel/Voxel_ROctBoolDS.hxx Diff ] File ]
rm - src/Voxel/Voxel_Selector.cxx Diff ] File ]
rm - src/Voxel/Voxel_Selector.hxx Diff ] File ]
rm - src/Voxel/Voxel_SplitData.cxx Diff ] File ]
rm - src/Voxel/Voxel_SplitData.hxx Diff ] File ]
rm - src/Voxel/Voxel_TypeDef.hxx Diff ] File ]
rm - src/Voxel/Voxel_VisData.h Diff ] File ]
rm - src/Voxel/Voxel_VoxelDisplayMode.hxx Diff ] File ]
rm - src/Voxel/Voxel_VoxelFileFormat.hxx Diff ] File ]
rm - src/Voxel/Voxel_Writer.cxx Diff ] File ]
rm - src/Voxel/Voxel_Writer.hxx Diff ] File ]
rm - tests/bugs/vis/bug19820 Diff ] File ]
rm - tests/bugs/vis/bug24019 Diff ] File ]
rm - tests/bugs/vis/bug24051 Diff ] File ]
mod - tests/v3d/grids.list Diff ] File ]
rm - tests/v3d/voxel/A1 Diff ] File ]
rm - tests/v3d/voxel/A2 Diff ] File ]
rm - tests/v3d/voxel/A3 Diff ] File ]
rm - tests/v3d/voxel/A4 Diff ] File ]
rm - tests/v3d/voxel/A5 Diff ] File ]
rm - tests/v3d/voxel/A6 Diff ] File ]
rm - tests/v3d/voxel/A7 Diff ] File ]
rm - tests/v3d/voxel/A8 Diff ] File ]
rm - tests/v3d/voxel/A9 Diff ] File ]
rm - tests/v3d/voxel/B1 Diff ] File ]
rm - tests/v3d/voxel/B2 Diff ] File ]
rm - tests/v3d/voxel/B3 Diff ] File ]
rm - tests/v3d/voxel/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-09 14:26 kgv New Issue
2015-10-09 14:26 kgv Assigned To => kgv
2015-10-09 16:25 kgv Relationship added related to 0025464
2015-10-10 22:19 git Note Added: 0046655
2015-10-10 22:19 kgv Note Added: 0046656
2015-10-10 22:19 kgv Assigned To kgv => san
2015-10-10 22:19 kgv Status new => resolved
2015-10-10 22:38 san Note Added: 0046657
2015-10-10 22:38 san Assigned To san => bugmaster
2015-10-10 22:38 san Status resolved => reviewed
2015-10-10 22:45 git Note Added: 0046658
2015-10-10 22:45 git Note Added: 0046659
2015-10-10 22:46 git Note Added: 0046661
2015-10-12 11:02 mkv Assigned To bugmaster => mkv
2015-10-13 16:04 mkv Note Added: 0046705
2015-10-13 16:04 git Note Added: 0046706
2015-10-13 16:04 mkv Note Added: 0046707
2015-10-13 16:04 mkv Note Added: 0046708
2015-10-13 16:04 mkv Assigned To mkv => bugmaster
2015-10-13 16:04 mkv Status reviewed => tested
2015-10-13 16:05 mkv Test case number => Not needed
2015-10-13 16:05 mkv Note Edited: 0046705 View Revisions
2015-10-14 14:16 ski Relationship added related to 0026739
2015-10-16 13:18 bugmaster Changeset attached => occt master 6ce0df1e
2015-10-16 13:18 bugmaster Status tested => verified
2015-10-16 13:18 bugmaster Resolution open => fixed
2015-10-16 16:17 git Note Added: 0046904
2015-10-21 22:29 kgv Relationship added related to 0026794
2015-11-17 16:18 kgv Relationship added related to 0024051
2015-11-17 16:19 kgv Relationship added related to 0024038
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker